VkNegotiateLayerInterface Struct Reference

`#include <vk_layer.h>`

## Data Fields

VkNegotiateLayerStructType | sType
void * | pNext
uint32_t | loaderLayerInterfaceVersion
PFN_vkGetInstanceProcAddr | pfnGetInstanceProcAddr
PFN_vkGetDeviceProcAddr | pfnGetDeviceProcAddr
PFN_GetPhysicalDeviceProcAddr | pfnGetPhysicalDeviceProcAddr

## Detailed Description

Definition at line 60 of file vk_layer.h.

## Field Documentation

## loaderLayerInterfaceVersion

uint32_t VkNegotiateLayerInterface::loaderLayerInterfaceVersion

Definition at line 63 of file vk_layer.h.

## pfnGetDeviceProcAddr

PFN_vkGetDeviceProcAddr VkNegotiateLayerInterface::pfnGetDeviceProcAddr

Definition at line 65 of file vk_layer.h.

## pfnGetInstanceProcAddr

PFN_vkGetInstanceProcAddr VkNegotiateLayerInterface::pfnGetInstanceProcAddr

Definition at line 64 of file vk_layer.h.

## pfnGetPhysicalDeviceProcAddr

PFN_GetPhysicalDeviceProcAddr VkNegotiateLayerInterface::pfnGetPhysicalDeviceProcAddr

Definition at line 66 of file vk_layer.h.

## pNext

void* VkNegotiateLayerInterface::pNext

Definition at line 62 of file vk_layer.h.

## sType

VkNegotiateLayerStructType VkNegotiateLayerInterface::sType

Definition at line 61 of file vk_layer.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vk_layer.h